﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DAL;
using Domain;

namespace ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            
            var ctx = new ContactDbContext();

            ctx.Database.Log = Console.WriteLine;

            Console.WriteLine("Records in ContactTypes: "+ctx.ContactTypes.Count());

            foreach (var contactType in ctx.ContactTypes.Where(a => a.ContactTypeValue.Contains("p")).OrderBy(b => b.ContactTypeValue))
            {
                Console.WriteLine(contactType.ContactTypeValue);
            }
        }
    }
}
