﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;

namespace DAL
{
    public class CustomDropCreateDatabaseIfModelChangesWithSeed 
        : DropCreateDatabaseIfModelChanges<ContactDbContext>
    {
        protected override void Seed(ContactDbContext context)
        {
            base.Seed(context);
            context.ContactTypes.Add(new ContactType() { ContactTypeValue = "Skype" });
            context.ContactTypes.Add(new ContactType() { ContactTypeValue = "Email" });
            context.ContactTypes.Add(new ContactType() { ContactTypeValue = "Phone" });
        }
    }
}
